# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
from trytond.pool import Pool
from . import location
from . import configuration
from . import room
from . import booking
from . import operation
from . import housekeeping
from . import company
from . import city
from . import party
from . import channel
from . import product
from . import sale
from . import service
from . import policy


def register():
    Pool.register(
        room.RoomClassification,
        location.HotelLocation,
        channel.SaleChannel,
        room.Room,
        policy.HotelPolicyCancellation,
        configuration.Configuration,
        room.Amenities,
        room.RoomAmenities,
        product.Template,
        product.PriceList,
        city.MigrationCity,
        operation.Operation,
        operation.OperationLine,
        booking.Booking,
        booking.BookingLine,
        booking.BookingDailyStart,
        configuration.ConfigurationProduct,
        housekeeping.Housekeeping,
        housekeeping.HousekeepingCleaningType,
        company.Company,
        operation.OperationMaintenance,
        operation.OperationGuest,
        operation.TransferOperationStart,
        operation.TransferChargeStart,
        party.Party,
        channel.ChannelTax,
        booking.Guest,
        booking.SelectRoomsAsk,
        booking.BookingVoucher,
        booking.RoomsOccupancyStart,
        booking.BookingForecastStart,
        operation.OpenMigrationStart,
        operation.CheckOutOperationFailed,
        operation.ChangeRoomStart,
        operation.OperationVoucher,
        operation.StatisticsByMonthStart,
        sale.InvoiceIncomeDailyStart,
        service.Service,
        service.ServiceLine,
        service.ServiceKind,
        service.CreateDailyServicesStart,
        room.RoomTemplate,
        housekeeping.HotelHousekeepingTask,
        housekeeping.HotelTask,
        housekeeping.HousekeepingServiceStart,
        room.CleanningDays,
        booking.GuestsListStart,
        module='hotel', type_='model')
    Pool.register(
        booking.BookingReport,
        booking.BookingForecastReport,
        booking.RoomsOccupancyReport,
        booking.BookingDailyReport,
        operation.Migration,
        operation.OperationReport,
        operation.OperationByConsumerReport,
        operation.StatisticsByMonthReport,
        sale.InvoiceIncomeDailyReport,
        sale.InvoiceSimplifiedReport,
        service.ServiceReport,
        booking.RegistrationCardReport,
        housekeeping.HousekeepingServiceReport,
        booking.GuestsListReport,
        module='hotel', type_='report')
    Pool.register(
        booking.SelectRooms,
        booking.BookingForecast,
        booking.RoomsOccupancy,
        booking.BookingDaily,
        operation.OpenMigration,
        operation.CheckOutOperation,
        operation.OperationBill,
        operation.ChangeRoom,
        operation.TransferOperation,
        operation.TransferCharge,
        operation.StatisticsByMonth,
        service.CreateDailyServices,
        housekeeping.HousekeepingService,
        booking.GuestsList,
        sale.InvoiceIncomeDaily,
        party.CreateGuest,
        module='hotel', type_='wizard')
